import request from '@/utils/request'

// 查询限制性空间进入开票列表
export function listPermit(query) {
  return request({
    url: '/ticket/restrictedspace/list',
    method: 'get',
    params: query
  })
}

// 查询限制性空间进入开票详细
export function getPermit(cId) {
  return request({
    url: '/ticket/restrictedspace/' + cId,
    method: 'get'
  })
}

// 新增限制性空间进入开票
export function addPermit(data) {
  return request({
    url: '/ticket/restrictedspace',
    method: 'post',
    data: data
  })
}

// 修改限制性空间进入开票
export function updatePermit(data) {
  return request({
    url: '/ticket/restrictedspace',
    method: 'put',
    data: data
  })
}

// 删除限制性空间进入开票
export function delPermit(cId) {
  return request({
    url: '/ticket/restrictedspace/' + cId,
    method: 'delete'
  })
}

// 导出限制性空间进入开票
export function exportPermit(query) {
  return request({
    url: '/ticket/restrictedspace/export',
    method: 'get',
    params: query
  })
}
